"""
This module defines the URL patterns for hosting package related views.

"""
from __future__ import absolute_import, unicode_literals

from django.conf.urls import patterns, url

from .views import (
    AllCustomerHostingPackageList,
    CreateHostingPackage,
    CreateCustomerHostingPackage,
    CustomerHostingPackageDetails,
)


urlpatterns = patterns(
    '',
    url(r'^create$', CreateHostingPackage.as_view(),
        name='create_hosting_package'),
    url(r'^(?P<user>[\w0-9@.+-_]+)/create$',
        CreateCustomerHostingPackage.as_view(),
        name='create_customer_hosting_package'),
    url(r'^(?P<user>[\w0-9@.+-_]+)/hostingpackage/(?P<pk>\d+)/$',
        CustomerHostingPackageDetails.as_view(),
        name='hosting_package_details'),
    url(r'^allpackages/',
        AllCustomerHostingPackageList.as_view(),
        name='all_hosting_packages'),
)
